Bug 1128817 - Race condition in the LocalEntryRetriever between iterator() and hasNext()
Summary: Race condition in the LocalEntryRetriever between iterator() and hasNext()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.3.1,6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER1
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1139618
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:22 UTC by Adrian Nistor
Modified: 2015-01-26 14:03 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1139618 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:03:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4626 Major Resolved Race condition in the LocalEntryRetriever between iterator() and hasNext() 2014-09-09 11:56:26 UTC

Description Adrian Nistor 2014-08-11 15:22:18 UTC
The LocalEntryRetriver sometimes will erroneously return false for hasNext right after creation of the iterator, because initial retrieval is done on a separate thread and it may not finish on time.
This is causing intermittent failures in the index-less query tests. See ISPN-4594

Comment 2 Adrian Nistor 2014-08-11 15:47:45 UTC
PRs available for jdg-6.3.x and jdg-6.4.x:

https://github.com/infinispan/jdg/pull/171
https://github.com/infinispan/jdg/pull/172

Comment 3 Tomas Sykora 2014-08-28 13:20:45 UTC
Cool, VERIFIED for 6.3.0 ER1.

BZ remains open until verification with 6.4.0.E/DRx


Note You need to log in before you can comment on or make changes to this bug.